<?php 
	header("Content-type: text/html; charset=utf-8");

	//error_reporting(0);
	$abccms_root_dir = $current_dir = dirname(dirname(__FILE__));
	$sCurrentDir = dirname(__FILE__);
	$_REQUEST['path'] = "/admin/";
	chdir($abccms_root_dir.'/');
	ini_set('include_path', $abccms_root_dir.'/');


function colorize($txt, $bool) {
	return '<span class="'.($bool?'c_true':'c_false').'">' . $txt . '</span>';
}

function dirinfo($dir) {
	if (function_exists('posix_getpwuid') && function_exists('posix_getgrgid')) {
		$perm=substr(sprintf('%o', @fileperms($dir)), -4);
		$user=posix_getpwuid(fileowner($dir));
		$group=posix_getgrgid(filegroup($dir));
		return $perm." ".$user['name']." ".$group['name'];
	} else {
		return "N/A";
	}
}

function print_param($bool, $true_str, $false_str = false) {
	return colorize(($bool?$true_str:($false_str?$false_str:$true_str)),$bool);
}

function prepare_htaccess_test() 
{
	$path = dirname($_SERVER['PHP_SELF'])."/abc_htaccess_test";
	$dir = $_SERVER['DOCUMENT_ROOT'].$path;
	clear_htaccess_test();

	if (!mkdir($dir)) return;
	$f=fopen($dir."/.htaccess","wb");
	$str = "ErrorDocument 404 ".$path."/404.php\n".
	"<IfModule mod_rewrite.c>\n".
	"	RewriteEngine Off\n".
	"</IfModule>";
	fputs($f, $str);
	fclose($f);
	if (!file_exists($dir."/.htaccess")) return;

	$f=fopen($dir."/404.php","wb");
	$str = "<?php\n".
	"header(\"HTTP/1.1 200 OK\");\n".
	"echo 'SUCCESS'; ?>";
	fputs($f, $str);
	fclose($f);
	if (!file_exists($dir."/404.php")) return;

	return true;
}

function clear_htaccess_test() {
	$dir = $_SERVER['DOCUMENT_ROOT'].dirname($_SERVER['PHP_SELF'])."/abc_htaccess_test";
	if (file_exists($dir)) 
	{
		unlink($dir."/.htaccess");
		unlink($dir."/404.php");
		rmdir($dir);
	}
}

function getHttpResponse($res, $strRequest)
{
	fputs($res, $strRequest);

	$bChunked = False;
	while (($line = fgets($res, 4096)) && $line != "\r\n")
	{
		if (@preg_match("/Transfer-Encoding: +chunked/i", $line))
			$bChunked = True;
		elseif (@preg_match("/Content-Length: +([0-9]+)/i", $line, $regs))
			$length = $regs[1];
	}

	$strRes = "";
	if ($bChunked)
	{
		$maxReadSize = 4096;

		$length = 0;
		$line = FGets($res, $maxReadSize);
		$line = StrToLower($line);

		$strChunkSize = "";
		$i = 0;
		while ($i < StrLen($line) && in_array($line[$i], array("0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "a", "b", "c", "d", "e", "f")))
		{
			$strChunkSize .= $line[$i];
			$i++;
		}

		$chunkSize = hexdec($strChunkSize);

		while ($chunkSize > 0)
		{
			$processedSize = 0;
			$readSize = (($chunkSize > $maxReadSize) ? $maxReadSize : $chunkSize);

			while ($readSize > 0 && $line = fread($res, $readSize))
			{
				$strRes .= $line;
				$processedSize += StrLen($line);
				$newSize = $chunkSize - $processedSize;
				$readSize = (($newSize > $maxReadSize) ? $maxReadSize : $newSize);
			}
			$length += $chunkSize;

			$line = FGets($res, $maxReadSize);

			$line = FGets($res, $maxReadSize);
			$line = StrToLower($line);

			$strChunkSize = "";
			$i = 0;
			while ($i < StrLen($line) && in_array($line[$i], array("0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "a", "b", "c", "d", "e", "f")))
			{
				$strChunkSize .= $line[$i];
				$i++;
			}
			$chunkSize = hexdec($strChunkSize);
		}
	}
	elseif ($length)
		$strRes = fread($res, $length);
	else
		while ($line = fread($res, 4096))
			$strRes .= $line;

	return $strRes;
}


	$C_TITLE = "Проверка настроек сервера";	

	// session check
	session_start();
	
	if(@$_GET['phpinfo']=='yes') {
		phpinfo();
		die;
	}
	
	if (@$_GET['session_test']=='yes') 
	{
			die('SUCCESS');
	}
	
	$session_test_result = false;
	if(isset($_GET['sessiontest'])) {
		if(isset($_SESSION['sessiontest']))   $session_test_result = true;
	}
	else {
		$_SESSION['sessiontest'] = time();
		header("Location: hosting-test.php?sessiontest");
	}
	$session_test_result_txt = print_param($session_test_result, "тест пройден", "тест провален");
	$session_save_path = ini_get("session.save_path");
	//$session_save_path = session_save_path();
	$is_valid_session_save_path = (bool)$session_save_path && is_writeable($session_save_path) && is_readable($session_save_path );
	$session_save_path_txt =
  	print_param($is_valid_session_save_path,($session_save_path ? $session_save_path:"путь не определен в файле php.ini"));

	//
	$uname = PHP_OS;
	$php_server_txt = "$uname";
	$php_sapi_name = php_sapi_name();
	$php_sapi_name_txt = colorize($php_sapi_name,true);

	$php_version = preg_replace('/[a-z-]/', '', phpversion());

	$is_valid_php_version =
		version_compare($php_version,'5.0.4', '>' ) &&
		version_compare($php_version,'5.2.0', '!=');

  $php_version_txt = print_param($is_valid_php_version,$php_version);

  
	$strSERVER_SOFTWARE = $_SERVER["SERVER_SOFTWARE"];
	if (strlen($strSERVER_SOFTWARE)<=0)
		$strSERVER_SOFTWARE = $_SERVER["SERVER_SIGNATURE"];

	$strSERVER_SOFTWARE = Trim($strSERVER_SOFTWARE);
	if (@preg_match("#^([a-zA-Z-]+).*?([\d]+\.[\d]+(\.[\d]+)?)#i", $strSERVER_SOFTWARE, $arSERVER_SOFTWARE))
	{
		$strWebServer = $arSERVER_SOFTWARE[1];
		$strWebServerVersion = $arSERVER_SOFTWARE[2];

		$apache_version_txt = print_param(true, $strWebServer." ".$strWebServerVersion);
	} else {
		$apache_version_txt = print_param(false,'','NA');
	}
  
	$safe_mode =  (int) ini_get('safe_mode');
	$safe_mode_txt = print_param(!$safe_mode, "Выключен","Включен");

	//short_open_tag
	$short_open_tag=(int) ini_get("short_open_tag");
	$short_open_tag_txt = print_param($short_open_tag, "Поддерживается", "Не поддерживается");
	
	//mail
	$t = time();
	$mail_tag = mail("support@abcname.net", "ABCname server test", "This is test message. Delete it");
	$mail_time = time() - $t;
	$mail_tag_txt = print_param($mail_tag, "Поддерживается (время отправки ".$mail_time." сек)", "Не поддерживается");	
	
	//mcrypt_encrypt
	$mcrypt_encrypt_tag = function_exists('mcrypt_encrypt');
	$mcrypt_encrypt_tag_txt = print_param($mcrypt_encrypt_tag, "Поддерживается", "Не поддерживается");
	
	//socket
	$socket_tag = function_exists('fsockopen');
	$socket_tag_txt = print_param($socket_tag, "Поддерживается", "Не поддерживается");
	
	//accelerator
	if ($accelerator_tag = function_exists("eaccelerator_info")) 
	{
		$r=eaccelerator_info();
		$accelerator_tag_txt = "EA (ver. ".$r['version'].", mem. ".$r['memorySize'].")";
	}
	elseif($accelerator_tag = function_exists("accelerator_reset"))
	{
		$accelerator_tag = false;
	}
	elseif($accelerator_tag = function_exists("apc_fetch"))
		$accelerator_tag_txt = "APC";
	elseif($accelerator_tag = function_exists("xcache_get"))
		$accelerator_tag_txt = "XCache";
	elseif(($accelerator_tag = function_exists("opcache_reset")) && ini_get('opcache.enable'))
		$accelerator_tag_txt = "OPcache";
	
	$accelerator_tag_txt = print_param($accelerator_tag, $accelerator_tag_txt, "Не поддерживается");
	
	//disk_memory
	$disk_memory=intval(@disk_free_space($_SERVER["DOCUMENT_ROOT"])/1024/1024)." Mb";
	$disk_memory_txt = print_param(true, $disk_memory);
	
	//dir information
	$dir_info=dirinfo(".");
	$dir_info_txt = print_param(true, $dir_info);
	
	
	// Filesystem benchmark
	function xmktime()
	{
		list($usec, $sec) = explode(" ", microtime()); 
		return ((float)$usec + (float)$sec); 
	}

	$t = xmktime();
	$path = dirname(__FILE__).'/abc_fs_test'; 
	mkdir($path);
	$res = true;

	for($i=0;$i<1000;$i++)
	{
		if (!(($f = fopen($path.'/abc_test_file_'.$i,'wb')) && fwrite($f, '<?php #Hello, world! ?>') && fclose($f)))
		{
			$res = false;
			break;
		}
		include($path.'/abc_test_file_'.$i);
	}

	if ($res)
		for($i=0;$i<1000;$i++)
			if (!unlink($path.'/abc_test_file_'.$i))
			{
				$res = false;
				break;
			}
	rmdir($path);
	$dir_time = round(xmktime()-$t,2);
	
	if($dir_time>2) $dir_time_txt = print_param(false, $dir_time, $dir_time);
	else $dir_time_txt = print_param(true, $dir_time, $dir_time);
	
	//file_uploads
	$file_uploads_tag=intval(ini_get('file_uploads'));
	$file_uploads_tag_txt = print_param($file_uploads_tag, "Поддерживается", "Не поддерживается");
	
	//Submit file_uploads
	$file_uploads_img_txt='';
	$tmp_name=@$_FILES['test_file']['tmp_name'];	

	if (is_uploaded_file($tmp_name)) {
		$val=move_uploaded_file($tmp_name, $_SERVER["DOCUMENT_ROOT"]."/abc_test_image.jpg");		
		$file_uploads_img_txt.="<img src=\"abc_test_image.jpg\" width=\"100\" height=\"100\">";		
	} else {
		$file_uploads_img_txt.= "<form method=post enctype=\"multipart/form-data\">";
		$file_uploads_img_txt.= "<input type=file name=test_file><br/>";
		$file_uploads_img_txt.= "<input type=submit value='Отправить файл'></form>";
	}
	
	
	$cd_r = (int) is_readable($current_dir);
	$cd_w = (int) is_writeable($current_dir);

	$cd_r_txt = print_param($cd_r, "Разрешено", "Запрещено <a href=\"@\" onclick='javascript: return switchLog(\"permsFix\");'>подробнее</a>");
	$cd_w_txt = print_param($cd_w, "Разрешено", "Запрещено <a href=\"@\" onclick='javascript: return switchLog(\"permsFix\");'>подробнее</a>");
	$abccms_root_dir_txt = print_param($cd_r && $cd_w, $abccms_root_dir);

	//
	$test_file_creation = false;
	$test_file_deletion = false;
	$test_dir_name = './'.time();
	$test_file_name = $test_dir_name . '/' . time().'file';
	$test_file_put_content = time();
	$test_dir_creation = @mkdir($test_dir_name);

	$bytes_written = file_put_contents($test_file_name,$test_file_put_content);
	$test_chmod_result = @chmod($test_file_name, 0755);
	if($bytes_written) {
		$test_file_get_content = file_get_contents($test_file_name);
		if($test_file_get_content == $test_file_put_content) {
			$test_file_creation = true;
		}

		$test_file_deletion = unlink($test_file_name);

	}
	$test_dir_deletion = rmdir($test_dir_name);
	chdir($abccms_root_dir.'/');

	$test_dir_creation_txt =  print_param($test_dir_creation, "Создан", "Невозможно создать каталог");
	$test_file_creation_txt = print_param($test_file_creation, "Создан", "Невозможно создать файл");
	$test_file_deletion_txt = print_param($test_file_deletion, "Удален", "Невозможно удалить файл");
	$test_dir_deletion_txt = print_param($test_dir_deletion, "Удален", "Невозможно удалить каталог");
	$test_chmod_result_txt = print_param($test_chmod_result, "Изменение прав разрешено", "Изменение прав доступа запрещено");


	$user = get_current_user();

	$max_etime = ini_get('max_execution_time');
	$is_valid_max_etime = ($max_etime >= 29 || $max_etime == 0);
	$max_etime_txt = print_param($is_valid_max_etime,$max_etime,$max_etime);

	// GDLib support check
	if($has_gd = function_exists("gd_info")) {
		$gd_info =gd_info();
		$gd_version = $gd_info['GD Version'];
		$gd_depended_types = array('JPG Support','GIF Read Support','GIF Create Support','PNG Support');
		$is_valid_gd = true;
		foreach($gd_depended_types as $gd_type) {
			if(!isset($gd_info[$gd_type]) && !$gd_info[$gd_type]) $is_valid_gd  = false;
		}
		$gd_info_txt = '';
		foreach($gd_info as $param => $mianing) {
			if(in_array($param , $gd_depended_types) || (gettype($mianing) == 'boolean' && $mianing === true))
			$gd_info_txt .= "<li>".print_param($mianing,$param, $param. " (Необходимо добавить поддержку этого формата)")."</li>\n";
		}

		$gd_info_txt = "<ul>$gd_info_txt</ul>";
	}

	$has_gd_txt = print_param($has_gd, "Установлена версия $gd_version", "Не установлен");


  $has_iconv = function_exists("iconv");
  $has_iconv_txt = print_param($has_iconv, "Установлена","Не установлена");

  //eregi
  $eregi_tag=intval(function_exists("eregi"));
  $eregi_tag_txt = print_param($eregi_tag, 'Да', 'Нет');
  
  //perl
  $perl_tag=intval(function_exists("preg_match"));
  $perl_tag_txt = print_param($perl_tag, 'Да', 'Нет');
  
  //Zlib	
  $zlib_tag=intval(extension_loaded('zlib') && function_exists("gzcompress"));
  $zlib_tag_txt = print_param($zlib_tag, 'Да', 'Нет');
  
  //SSL
  $f=fsockopen("ssl://www.bitrixsoft.com",443, $errno, $errstr, 10); 
  $ssl_tag = $f ? 1 : 0;
  $ssl_tag_txt = print_param($ssl_tag, 'Да', 'Нет');

  //mb_substr
  $mb_substr_tag=intval(function_exists("mb_substr"));
  $mb_substr_tag_txt = print_param($mb_substr_tag, 'Да', 'Нет');
  
  //mb_substr UFT
  $mb_substr_utf_tag = false!==strpos(strtolower(ini_get('mbstring.internal_encoding')),'utf') && ini_get('mbstring.func_overload')==2;
  $mb_substr_utf_tag_txt = print_param($mb_substr_utf_tag, 'Да', 'Нет');
  
  $allow_call_time_pass_reference = ini_get("allow_call_time_pass_reference");
  $allow_call_time_pass_reference_txt =
  print_param($allow_call_time_pass_reference,"On","Off");



  $memory_limit = ini_get("memory_limit");
  $is_valid_memory_limit = substr($memory_limit,0,-1) >= 16;
  $memory_limit_txt =
  print_param($is_valid_memory_limit , $memory_limit, "$memory_limit (Рекомендуется не менее 16M)");

  
  //post_max_size
  $post_max_size_tag=intval(ini_get('post_max_size'));
  $post_max_size_tag_txt = print_param(true, $post_max_size_tag.'М');
  
  //display_errors
  $display_errors_tag=intval(ini_get('display_errors'));
  $display_errors_tag_txt = print_param($display_errors_tag, 'Да', 'Нет');
  
  //Server time
  $server_time_tag=date("d.m.Y H:i");
  $server_time_tag_txt = print_param(true, $server_time_tag);
  
  $ze1_compatibility_mode = ini_get("zend.ze1_compatibility_mode");
  $ze1_compatibility_mode_txt =
  print_param(!$ze1_compatibility_mode,"Off","On");

  // File exec
	$host = $_SERVER['SERVER_NAME'] ? $_SERVER['SERVER_NAME'] : 'localhost';
	$port = $_SERVER['SERVER_PORT'] ? $_SERVER['SERVER_PORT'] : 80;

	$fn=$_SERVER['DOCUMENT_ROOT'].dirname($_SERVER['PHP_SELF'])."/abc_test_exec.php";
	$f=fopen($fn,"wb");
	$data='<?php 
	echo "SUCCESS";
	?>';
	fputs($f,$data);
	fclose($f);

	if ($socket_tag)
		$res = fsockopen(($port == 443 ? 'ssl://' : '').$host, $port, $errno, $errstr, 3);
	else
		$res = false;

	if($res) 
	{
		$strRequest = "GET ".dirname($_SERVER['PHP_SELF'])."/abc_test_exec.php HTTP/1.1\r\n";
		$strRequest.= "Host: ".$host."\r\n";
		$strRequest.= "\r\n";

		$strRes = getHttpResponse($res, $strRequest);
		fclose($res);

		if (trim($strRes) == "SUCCESS")
			$exec_file_tag_txt = print_param(true, 'Да', 'Нет');
		else
			$exec_file_tag_txt = print_param(false, 'Да', 'Нет');
	} 
	else
		$exec_file_tag_txt = print_param(true, 'Нет соединения');

	unlink($fn);


  //htaccess
	$host = $_SERVER['SERVER_NAME'] ? $_SERVER['SERVER_NAME'] : 'localhost';
	$port = $_SERVER['SERVER_PORT'] ? $_SERVER['SERVER_PORT'] : 80;

	if (prepare_htaccess_test()) 
	{
		if ($socket_tag)
			$res = fsockopen(($port == 443 ? 'ssl://' : '').$host, $port, $errno, $errstr, 3);
		else
			$res = false;

		if($res) 
		{
			$strRequest = "GET ".dirname($_SERVER['PHP_SELF'])."/abc_htaccess_test/test_file.php HTTP/1.1\r\n";
			$strRequest.= "Host: ".$host."\r\n";
			$strRequest.= "\r\n";

			$strRes = getHttpResponse($res, $strRequest);
			fclose($res);

			if (false!==strpos($strRes,"SUCCESS"))
				$htaccess_tag_txt = print_param(true, 'Да', 'Нет');
			else
				$htaccess_tag_txt = print_param(false, 'Да', 'Нет');
		} 
		else
			$htaccess_tag_txt = print_param(true, 'Нет соединения');

		clear_htaccess_test();
	} 
	
	// Session without UserAgent test: for upload applet
	/*
	$host = $_SERVER['SERVER_NAME'] ? $_SERVER['SERVER_NAME'] : 'localhost';
	$port = $_SERVER['SERVER_PORT'] ? $_SERVER['SERVER_PORT'] : 80;

	if ($socket_tag)
		$res = fsockopen(($port == 443 ? 'ssl://' : '').$host, $port, $errno, $errstr, 3);
	else
		$res = false;

	if($res) 
	{
		$strRequest = "GET ".dirname($_SERVER['PHP_SELF'])."/hosting-test.php?session_test=yes HTTP/1.1\r\n";
		$strRequest.= "Host: ".$host."\r\n";
		$strRequest.= "Cookie: ".session_name()."=".session_id()."\r\n";
		$strRequest.= "\r\n";

		$strRes = getHttpResponse($res, $strRequest);
		fclose($res);

		if (trim($strRes) == "SUCCESS")
			$useragent_tag_txt = print_param(true, 'Да', 'Нет');
		else
			$useragent_tag_txt = print_param(false, 'Да', 'Нет');
	} 
	else
		$useragent_tag_txt = print_param(true, 'Нет соединения');
	*/


  // non critical warnings
  $register_globals = ini_get('register_globals');
  $register_globals_txt = print_param(!$register_globals, "Off", "On");


  // xslt  support
  if($has_xslt = class_exists('xsltprocessor')) {
    $libxslt_version = LIBXSLT_VERSION;
    $libexslt_version = LIBEXSLT_VERSION;
  }
  $has_xslt_txt = print_param($has_xslt,"Поддерживается [libxslt:$libxslt_version] [libexslt:$libexslt_version]","Не поддерживается. Необходимо установить LIBXSLT.");

$has_optimizer = true;

  // xml support check
  if($has_xml = class_exists('DomDocument')) {
    $libxml_version = LIBXML_VERSION;
  }
    $has_xml_txt = print_param($has_xml,"Поддерживается [libxml:$libxml_version]","Не поддерживается. Требуется установить LIBXML.");




	$C_CONTENT = <<<END

<ol>
	<li>ОС сервера: $php_server_txt</li>
	<li>API сервера: $php_sapi_name_txt</li>
	<li>Версия PHP: $php_version_txt</li>
	<li>Веб сервер: $apache_version_txt</li>
	<li>Хост: <strong>{$_SERVER['HTTP_HOST']}</strong></li>
	<li>IP Адрес сервера: {$_SERVER['SERVER_ADDR']}</li>
	<li>IP Адрес клиента: {$_SERVER['REMOTE_ADDR']}</li>

	<li>Безопасный режим (php safe_mode): $safe_mode_txt</li>
	<li>Значение short_open_tag: $short_open_tag_txt</li>
	<li>Отправка почты: $mail_tag_txt</li>
	<li>Модуль Mcrypt: $mcrypt_encrypt_tag_txt</li>
	<li>Функции работы с сокетами: $socket_tag_txt</li>
	<li>Акселератор php: $accelerator_tag_txt</li>	
	
	
	
	<li>Корневая директория: <strong>"$abccms_root_dir_txt"</strong></li>
	<ul>
		<li>Чтение: $cd_r_txt</li>
		<li>Запись: $cd_w_txt</li>
		<li>Владелец: $user</li>
	</ul>
	<li>Тестирование файловой системы:</li>
	<ul>
		<li>Создание каталога: $test_dir_creation_txt</li>
		<li>Создание файла: $test_file_creation_txt</li>
		<li>Запуск созданного файла: $exec_file_tag_txt</li>
		<li>Изменение прав доступа: $test_chmod_result_txt</li>
		<li>Удаление файла: $test_file_deletion_txt</li>
		<li>Удаление каталога: $test_dir_deletion_txt</li>
		
		<li>Место на диске: $disk_memory_txt</li>
		<li>Права на текущую папку: $dir_info_txt</li>
		<li>Обработка .htaccess: $htaccess_tag_txt</li>
		<li>Время на создание 1000 файлов (сек): $dir_time_txt</li>
		<li>Значение file_uploads: $file_uploads_tag_txt</li>
		<li>Загрузка файла: $file_uploads_img_txt</li>
	</ul>

	<li>GDlib: $has_gd_txt</li>
		$gd_info_txt
	<li>Тестирование сессии: $session_test_result_txt</li>
	<li>Максимальное время выполнения скрипта: $max_etime_txt сек</li>
	<li>Библиотека iconv: $has_iconv_txt</li>
	<li>Регулярные выражения PHP: $eregi_tag_txt</li>
	<li>Регулярные выражения Perl: $perl_tag_txt</li>
	<li>Zlib extension: $zlib_tag_txt</li>
	<li>Поддержка SSL: $ssl_tag_txt</li>
	<li>Поддержка mbstring: $mb_substr_tag_txt</li>
	<li>Включен режим UTF для mbstring: $mb_substr_utf_tag_txt</li>
	<li>XML: $has_xml_txt</li>
	<li>XSLT: $has_xslt_txt</li>

  <li>php.ini</li>
  <ul>
    <li>allow_call_time_pass_reference = $allow_call_time_pass_reference_txt</li>
    <li>memory_limit = $memory_limit_txt</li>
	<li>post_max_size = $post_max_size_tag_txt</li>
	<li>display errors = $display_errors_tag_txt</li>
	<li>server time = $server_time_tag_txt</li>
	<li>phpinfo() = <a href=?phpinfo=yes target=_blank>открыть</a></li>
    <li>zend.ze1_compatibility_mode_txt = $ze1_compatibility_mode_txt</li>
    <li>register_globals = $register_globals_txt</li>
    <li>session_save_path = $session_save_path_txt</li>
  </ul>


</ol>

$server_good_txt

END;

?><html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <title>ABCname Hosting Test</title>
<style type="text/css">
body, td, select {
	margin: 0px;
	background-color: #F7F7F7;
	font-family: Verdana;
	font-size: 11px;
}


h1 {
	font-family: Verdana, arial, helvetica, sans serif;
	font-weight: bold; font-size: 17px;
	color: #A7A7A7;
}

div.content {
	margin: 10px;
}

input {
	font-size: 11px;
	font-family: verdana;
	margin-top: 2px;
	margin-bottom: 2px;
	border: #C0C0C0 0.5pt solid;

	padding-left: 7px;
	padding-right: 7px;
	padding-bottom: 2px;
	height: 21px;
}

input.text {
	font-size: 11px;
	font-family: verdana;
	margin-top: 2px;
	margin-bottom: 2px;
	border: #C0C0C0 0.5pt solid;

	padding-left: 7px;
	padding-right: 7px;
	padding-bottom: 0px;
	height: 18px;
	width: 100%;
}

textarea.licence {
	width: 550px;
	height: 235px;
}

li {
	margin-top: 3px;
}

.c_true {
	color: green;
}

.c_false {
	color: red;
}

a {
	color: #008000;
	text-decoration: underline;
}

#log, #mods {
	margin-left: 15px;
}

#license_msg {
	color:		red;
	margin:		10px;
}


#installProgressBarBox {
	width:		400px;
	height:		14px;

	border:		#DDD 1px solid;
}

#installProgressBarLine {
	width:		0px;
	height:		14px;

	background-color:	darkblue;
}

#installProgressBarNum {
	position:	absolute;
	margin-left:	200px;
}

#installProgressBarContainer, #installButton {
	margin:		30px;
}
</style>
</head>
<body>
<div style="background-color: #FFF;">
<img src="http://flash.abcname.net/abcname/logo-abcname.png" width="143" height="44" alt="ABCname" />
</div>
<div class="content">
<h1><?php echo $C_TITLE; ?></h1>
<table width="100%" cellspacing="0" cellpadding="0" border="0">
	<tr>
		<td width="65%" valign="top">
			<?php echo $C_CONTENT; ?>
		</td>
	</tr>
	<tr>
		<td colspan="2" align="right">
			Copyright &copy; 2014
		</td>
	</tr>
</table>
</body>
</html>